Package javax.help

# Interface CSH.Manager

Enclosing class:
  `CSH`

public static interface CSH.Manager
CSH Manager Interface to support dynamic `HelpSet` and `ID` for object. CSH is allowed only for `Component` and `MenuItem`.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpIDString(Object comp, AWTEvent e)`
Returns String represent Map.ID of the object depending on the event.
`HelpSet`
`getHelpSet(Object comp, AWTEvent e)`
Returns HelpSet of the object depending on the event.

## Method Details

### getHelpSet

HelpSet getHelpSet(Object comp, AWTEvent e)
Returns HelpSet of the object depending on the event.

Parameters:
  `comp` - The object to get `HelpSet` for it. Only `Component` and `MenuItem` is allowed.
  `e` - The event by which dynamic CSH was invoked. It can be `MouseEvent` in case of window level CSH, `ActionEvent` in case of field level CSH or `null` otherwise.
Returns:
  A HelpSet for given object or null if no HelpSet is assigned to object
See Also:
  - `CSH.DisplayHelpAfterTracking`
  - `CSH.DisplayHelpFromFocus`
  - `CSH.DisplayHelpFromSource`

### getHelpIDString

String getHelpIDString(Object comp, AWTEvent e)
Returns String represent Map.ID of the object depending on the event.

Parameters:
  `comp` - The object to get `Map.ID` for it. Only `Component` and `MenuItem` is allowed.
  `e` - The event by which dynamic CSH was invoked. It can be `MouseEvent` in case of window level CSH, `ActionEvent` in case of field level CSH or `null` otherwise.
Returns:
  A Map.ID string for given object or null if no Map.ID is assigned to object
See Also:
  - `CSH.DisplayHelpAfterTracking`
  - `CSH.DisplayHelpFromFocus`
  - `CSH.DisplayHelpFromSource`